@fluent/react

v0.14.0

Fluent bindings for React

Apache-2.0
Latest version published 11 days ago
    npm install @fluent/react
  

Package Health Score

84 / 100

Popularity

Small

Weekly Downloads (1,389)

Download trend
Dependents
0
GitHub Stars
671
Forks
62
Contributors
50

Direct Usage Popularity

Occasionally

The npm package @fluent/react receives a total of 1,389 downloads a week. As such, we scored @fluent/react popularity level to be Small.

Based on project statistics from the GitHub repository for the npm package @fluent/react, we found that it has been starred 671 times, and that 0 other projects in the ecosystem are dependent on it.

Downloads are calculated as moving averages for a period of the last 12 months, excluding weekends and known missing data points.

Security

No known security issues
Powered by Snyk

Security and license risk for significant versions

All Versions
Popular

Version

Release Date

07/2019
01/2020
04/2020
04/2021
09/2021

Direct Vulnerabilities

0.10.0
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
0.11.1
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
0.12.0
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
Popular
0.13.1
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
0.14.0
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L

Indirect Vulnerabilities

0.10.0
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
0.11.1
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
0.12.0
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
Popular
0.13.1
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
0.14.0
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L

License Risk

0.10.0
  • 0
    H
  • 0
    M
  • 0
    L
0.11.1
  • 0
    H
  • 0
    M
  • 0
    L
0.12.0
  • 0
    H
  • 0
    M
  • 0
    L
Popular
0.13.1
  • 0
    H
  • 0
    M
  • 0
    L
0.14.0
  • 0
    H
  • 0
    M
  • 0
    L
All security vulnerabilities belong to production dependencies of direct and indirect packages.

License
Apache-2.0

Security Policy
No

We found a way for you to contribute to the project! Looks like @fluent/react is missing a security policy.


You can connect your project's repository to Snyk to stay up to date on security alerts and receive automatic fix pull requests.

    # Install the Snyk CLI and test your project
npm i snyk -g && snyk test @fluent/react
Keep your project free of vulnerabilities with Snyk

Maintenance

Healthy

Commit Frequency

Open Issues
63
Open PR
15
Last Release
11 days ago
Last Commit
7 days ago

Further analysis of the maintenance status of @fluent/react based on released npm versions cadence, the repository activity, and other data points determined that its maintenance is Healthy.

We found that @fluent/react demonstrates a positive version release cadence with at least one new version released in the past 3 months.

As a healthy sign for on-going project maintenance, we found that the GitHub repository had at least 1 pull request or issue interacted with by the community.

Community

Active
Readme.md
Yes
Contributing.md
No
Code of Conduct
Yes
Contributors
50
Funding
No

With more than 10 contributors for the @fluent/react repository, this is possibly a sign for a growing and inviting community.


Embed Package Health Score Badge

package health: 84/100 package health 84/100

Package

Node.js Compatibility
>=12.0.0

Age
2 years
Dependencies
3 Direct
Versions
9
Install Size
58.9 kB
Dist-tags
1
# of Files
26
Maintainers
4
TS Typings
Yes

@fluent/react has more than a single and default latest tag published for the npm package. This means, there may be other tags available for this package, such as next to indicate future releases, or stable to indicate stable releases.